from Screen import Screen
from Components.ActionMap import ActionMap
from Components.Label import Label
from Components.Sources.StaticText import StaticText

	
class Disclaimer(Screen):

	def __init__(self, session):
		Screen.__init__(self, session)
		self["key_red"] = Label(_("Exit"))
		self["Disclaimer"] = StaticText(_("DISCLAIMER"))
		disclamer = _("IN ACCORDANCE WITH THE LAW THIS SOFTWARE CONTAINS ONLY SYSTEM ADDITIONS & GRAPHIC CHANGES.\n")
		disclamer += _("THE DREAM-ELITE IMAGE DOES NOT CONTAIN ANY EMULATORS, KEYS, SOFTCAMS OR OTHER SYSTEM FOR VIEWING PAY-TV WITH OR WITHOUT A PAID SUBSCRIPTION.\n")
		disclamer += _("THE DREAM-ELITE IMAGE DOES NOT CONTAIN ANY FEEDS TO DOWNLOAD PLUGINS OR EMULATORS FROM EXTERNAL SERVERS OR SOFTWARE THAT MAY BE USED FOR ILLEGAL PURPOSES SUCH AS CARD SHARING.\n\n")
		disclamer += _("LICENSE (TERM OF USE)\n\n")
		disclamer += _("THE DREAM-ELITE IMAGE IS ISSUED FOR THE FREE USE FOR ALL USERS PROVIDED THAT IT WILL NOT BE CHANGED IN ANY WAY AND THAT IT WILL ONLY BE USED FOR LAWFUL PURPOSES.\n")
		disclamer += _("SKIN AND ALL OTHER CONTENT INSIDE THIS IMAGE IS PROPERTY OF DREAM-ELITE AND IT IS NOT ALLOWED TO MODIFY OR TO COPY WITHOUT PERMISSION OF DREAM-ELITE\n")
		disclamer += _("ANY CHANGES OR ADDITIONS TO DREAM-ELITE IMAGE THAT INVOLVE UNLAWFUL USE OF THE IMAGE SUCH AS CARD-SHARING AND EMULATORS ARE NOT ALLOWED AND CAUSE THE REVOKE OF THIS LICENSE\n")
		self["Dissociation"] = StaticText(_(disclamer))
		self["Line1"] = StaticText(_("BEST REGARDS"))
		self["Line2"] = StaticText(_("Ferrari3005 Admin of www.dream-elite.net "))
		self["actions"] = ActionMap(["SetupActions", "ColorActions"], 
			{
				"cancel": self.close,
				"red": self.close,
				"ok": self.close
			})
